import request from '@/utils/request'



// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/highval/rzgClassifiedStatisticsInfo/getHeader',
    method: 'get',
    params: params
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}


// 查询高价值专利-分类统计列表
export function listRzgClassifiedStatisticsInfo(query) {
  return request({
    url: '/highval/rzgClassifiedStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询高价值专利-分类统计详细
export function getRzgClassifiedStatisticsInfo(id) {
  return request({
    url: '/highval/rzgClassifiedStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增高价值专利-分类统计
export function addRzgClassifiedStatisticsInfo(data) {
  return request({
    url: '/highval/rzgClassifiedStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改高价值专利-分类统计
export function updateRzgClassifiedStatisticsInfo(data) {
  return request({
    url: '/highval/rzgClassifiedStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除高价值专利-分类统计
export function delRzgClassifiedStatisticsInfo(id) {
  return request({
    url: '/highval/rzgClassifiedStatisticsInfo/' + id,
    method: 'delete'
  })
}
